List your Agent Pods
curl --request GET \
--url https://compute.x402layer.cc/podsimport requests
url = "https://compute.x402layer.cc/pods"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://compute.x402layer.cc/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"tier": "<string>",
"model": "<string>",
"channels": [
"<string>"
],
"ai_included_usd": 123,
"ai_used_usd": 123,
"memory": {
"backend": "raw",
"lcm": true
},
"heartbeat_interval_sec": 123,
"status": "active",
"provider": "<string>",
"region": "<string>",
"plan": "<string>",
"ip_address": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"is_trial": true,
"trial_expires_at": "2023-11-07T05:31:56Z",
"auto_renew_enabled": true,
"auto_renew": true,
"grace_days": 123
}
]
}Agent Pods
List Agent Pods
Returns every Agent Pod owned by the authenticated wallet. Authenticate with the same compute auth as /compute/*: an API key (X-API-Key: x402c_...), a session bearer (Authorization: Bearer sgl_sess.<token>), or a wallet signature (X-Auth-Address, X-Auth-Chain, X-Auth-Signature, X-Auth-Nonce, X-Auth-Timestamp).
GET
/
pods
List your Agent Pods
Was this page helpful?
⌘I
